#!/bin/sh
mypath=${0%/*}
myname=${0%.*}

export PATH=$mypath:$PATH
kill `pidof javabox`
myname=`basename $myname`
nump=`cat $mypath/nump.txt`

mmca1_db=/mmc/mmca1/.system/java/CardRegistry
phone_db=/ezxlocal/download/appwrite/am/InstalledDB

phone_names=`cat $phone_db | grep '^Name = ' | sed 's/^Name = //' | sed 's/ /_/g'`
phone_ids=`cat $phone_db | grep '^JavaId = ' | sed 's/^JavaId = //'`
mmca1_names=`cat $mmca1_db | grep '^Name = ' | sed 's/^Name = //' | sed 's/ /_/g'`
mmca1_ids=`cat $mmca1_db | grep '^JavaId = ' | sed 's/^JavaId = //'`


if [ $myname -le $nump ]; then

    p=0
    for ids in $phone_ids
    do
		p=$(($p+1))
		if [ $p -eq $myname ]
		then
			ret_javaid=$ids
			break
		fi
	done
else
mmcn=$(($myname-$nump))
    p=0
    for ids in $mmca1_ids
    do
		p=$(($p+1))
		if [ $p -eq $mmcn ]
		then
			ret_javaid=$ids
			break
		fi
    done
fi
exec /usr/SYSjava/kvm -launch $ret_javaid &
